# -*- encoding: utf-8 -*-
# stub: elastic-transport 8.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "elastic-transport".freeze
  s.version = "8.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/elastic/elastic-transport-ruby/issues", "changelog_uri" => "https://github.com/elastic/elastic-transport-ruby/blob/master/CHANGELOG.md", "homepage_uri" => "https://github.com/elastic/elastic-transport-ruby", "source_code_uri" => "https://github.com/elastic/elastic-transport-ruby" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Elastic Client Library Maintainers".freeze]
  s.date = "2023-09-28"
  s.description = "Low level Ruby client for Elastic. See the `elasticsearch` or `elastic-enterprise-search` gems for full integration.\n".freeze
  s.email = ["client-libs@elastic.co".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE".freeze]
  s.files = [".github/check_license_headers.rb".freeze, ".github/license-header.txt".freeze, ".github/workflows/license.yml".freeze, ".github/workflows/otel.yml".freeze, ".github/workflows/tests.yml".freeze, ".gitignore".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "Gemfile-faraday1.gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "elastic-transport.gemspec".freeze, "lib/elastic-transport.rb".freeze, "lib/elastic/transport.rb".freeze, "lib/elastic/transport/client.rb".freeze, "lib/elastic/transport/meta_header.rb".freeze, "lib/elastic/transport/opentelemetry.rb".freeze, "lib/elastic/transport/redacted.rb".freeze, "lib/elastic/transport/transport/base.rb".freeze, "lib/elastic/transport/transport/connections/collection.rb".freeze, "lib/elastic/transport/transport/connections/connection.rb".freeze, "lib/elastic/transport/transport/connections/selector.rb".freeze, "lib/elastic/transport/transport/errors.rb".freeze, "lib/elastic/transport/transport/http/curb.rb".freeze, "lib/elastic/transport/transport/http/faraday.rb".freeze, "lib/elastic/transport/transport/http/manticore.rb".freeze, "lib/elastic/transport/transport/loggable.rb".freeze, "lib/elastic/transport/transport/response.rb".freeze, "lib/elastic/transport/transport/serializer/multi_json.rb".freeze, "lib/elastic/transport/transport/sniffer.rb".freeze, "lib/elastic/transport/version.rb".freeze, "spec/elastic/connections/collection_spec.rb".freeze, "spec/elastic/connections/selector_spec.rb".freeze, "spec/elastic/transport/base_spec.rb".freeze, "spec/elastic/transport/client_spec.rb".freeze, "spec/elastic/transport/http/curb_spec.rb".freeze, "spec/elastic/transport/http/faraday_spec.rb".freeze, "spec/elastic/transport/http/manticore_spec.rb".freeze, "spec/elastic/transport/meta_header_spec.rb".freeze, "spec/elastic/transport/opentelemetry_spec.rb".freeze, "spec/elastic/transport/sniffer_spec.rb".freeze, "spec/spec_helper.rb".freeze, "test/integration/jruby_test.rb".freeze, "test/integration/transport_test.rb".freeze, "test/profile/client_benchmark_test.rb".freeze, "test/test_helper.rb".freeze, "test/unit/adapters_test.rb".freeze, "test/unit/connection_test.rb".freeze, "test/unit/response_test.rb".freeze, "test/unit/serializer_test.rb".freeze, "test/unit/transport_base_test.rb".freeze, "test/unit/transport_curb_test.rb".freeze, "test/unit/transport_faraday_test.rb".freeze, "test/unit/transport_manticore_test.rb".freeze]
  s.homepage = "https://github.com/elastic/elastic-transport-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Low level Ruby client for Elastic services.".freeze
  s.test_files = ["spec/elastic/connections/collection_spec.rb".freeze, "spec/elastic/connections/selector_spec.rb".freeze, "spec/elastic/transport/base_spec.rb".freeze, "spec/elastic/transport/client_spec.rb".freeze, "spec/elastic/transport/http/curb_spec.rb".freeze, "spec/elastic/transport/http/faraday_spec.rb".freeze, "spec/elastic/transport/http/manticore_spec.rb".freeze, "spec/elastic/transport/meta_header_spec.rb".freeze, "spec/elastic/transport/opentelemetry_spec.rb".freeze, "spec/elastic/transport/sniffer_spec.rb".freeze, "spec/spec_helper.rb".freeze, "test/integration/jruby_test.rb".freeze, "test/integration/transport_test.rb".freeze, "test/profile/client_benchmark_test.rb".freeze, "test/test_helper.rb".freeze, "test/unit/adapters_test.rb".freeze, "test/unit/connection_test.rb".freeze, "test/unit/response_test.rb".freeze, "test/unit/serializer_test.rb".freeze, "test/unit/transport_base_test.rb".freeze, "test/unit/transport_curb_test.rb".freeze, "test/unit/transport_faraday_test.rb".freeze, "test/unit/transport_manticore_test.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<faraday>.freeze, ["< 3"])
  s.add_runtime_dependency(%q<multi_json>.freeze, [">= 0"])
  s.add_development_dependency(%q<curb>.freeze, [">= 0"])
  s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  s.add_development_dependency(%q<cane>.freeze, [">= 0"])
  s.add_development_dependency(%q<hashie>.freeze, [">= 0"])
  s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
  s.add_development_dependency(%q<minitest-reporters>.freeze, [">= 0"])
  s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
  s.add_development_dependency(%q<pry>.freeze, [">= 0"])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13"])
  s.add_development_dependency(%q<require-prof>.freeze, [">= 0"])
  s.add_development_dependency(%q<ruby-prof>.freeze, [">= 0"])
  s.add_development_dependency(%q<shoulda-context>.freeze, [">= 0"])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
  s.add_development_dependency(%q<test-unit>.freeze, ["~> 2"])
  s.add_development_dependency(%q<yard>.freeze, [">= 0"])
end

